#ifndef _XewGeometricP_h
#define _XewGeometricP_h
/*
** Copyright 1992 by Markku Savela and
**	Technical Research Centre of Finland
**
** The author maybe contacted via:
**
**    Mail:	Markku Savela
**		Technical Research Centre of Finland
**		Telecommunications Laboratory
**		Otakaari 7 B, P.O. Box 34
**		SF-02151 ESPOO
**		Finland
**
**    Phone:	+358 0 456 6509
**    Email:	savela@tel.vtt.fi
*/

#include <stdio.h>
#include <X11/Xew/BasicP.h>
#include <X11/Xew/Geometric.h>

typedef struct _XeGeometricClass
    {
	int makes_compiler_happy;	/* not used */
    } XeGeometricClassPart;


typedef struct _XeGeometricClassRec
    {
	CoreClassPart	core_class;
	XeBasicClassPart basic_class;
	XeGeometricClassPart geometric_class;
    } XeGeometricClassRec;

typedef struct
    {
	/* resources */
	int makes_compiler_happy;
	/* private state */
    } XeGeometricPart;

typedef struct _XeGeometricRec
    {
	CorePart	core;
	XeBasicPart	basic;
	XeGeometricPart	geometric;
    } XeGeometricRec;


/* Class pointer */
extern XeGeometricClassRec xeGeometricClassRec;

#endif

