#ifndef _XewGeometric_h
#define _XewGeometric_h
/*
** Copyright 1992 by Markku Savela and
**	Technical Research Centre of Finland
**
** The author maybe contacted via:
**
**    Mail:	Markku Savela
**		Technical Research Centre of Finland
**		Telecommunications Laboratory
**		Otakaari 7 B, P.O. Box 34
**		SF-02151 ESPOO
**		Finland
**
**    Phone:	+358 0 456 6509
**    Email:	savela@tel.vtt.fi
*/


#include <X11/Xmu/Converters.h>

/* Parameters:

 Name		     Class		RepType		Default Value
 ----		     -----		-------		-------------
 background	     Background		Pixel		XtDefaultBackground
 border		     BorderColor	Pixel		XtDefaultForeground
 borderWidth	     BorderWidth	Dimension	1
 bottomEdge          XeEdge             XeEdgeType *    NULL
 contentFile         ContentFile        String          NULL
 contentLength       ContentLength      long            -1
 contentOffset       ContentOffset      long            0
 contentStream       ContentStream      FILE *          NULL
 contentString       ContentString      Pointer         NULL
 destroyCallback     Callback		Pointer		NULL
 cursor              Cursor             Cursor          None
 height		     Height		Dimension	0
 leftEdge            XeEdge             XeEdgeType *    NULL
 mappedWhenManaged   MappedWhenManaged	Boolean		True
 rightEdge           XeEdge             XeEdgeType *    NULL
 topEdge             XeEdge             XeEdgeType *    NULL
 width		     Width		Dimension	0
 x		     Position		Position	0
 y		     Position		Position	0

*/

/* New fields */

/* Class record constants */

extern WidgetClass xeGeometricWidgetClass;

typedef struct _XeGeometricClassRec *XeGeometricWidgetClass;
typedef struct _XeGeometricRec      *XeGeometricWidget;


#endif
