#ifndef _XewSupport_h
#define _XewSupport_h

#if ((XtVersion) < 11005)
#ifndef _XFUNCPROTOBEGIN
#	define _XFUNCPROTOBEGIN
#	define _XFUNCPROTOEND
#endif
#else
#	include <X11/Xfuncproto.h>
#endif

#include <X11/Xew/Basic.h>

/*
** XeFindContentFormat
**	An utility function that tries to guess the content format
**	and returns the XeContentFormat type guessed. A failure to
**	guess or any error results a value XeContentFormat_UNKNOWN
**	to be returned.
**
**	The current implementation only works for Raster Images.
**	(Enchance this later --msa)
*/
_XFUNCPROTOBEGIN
XeContentFormat XeFindContentFormat
	(
#if NeedFunctionPrototypes
	 char *
#endif
	 );
_XFUNCPROTOEND
#endif


