/*
** Very Simple EuroBridge Widget Demonstration Program
**
** WARNING!
**	This is very a simple program. It just opens the widget within
**	a viewport and this may result a window much larger than the
**	screen. With some window managers this may be difficult
**	situation to handle... --msa
*/

#include <stdio.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Xaw/Viewport.h>
#include <X11/Xew/Basic.h>
#include <X11/Xew/Raster.h>
#include <X11/Xew/Text.h>
#include <X11/Xew/Support.h>

main(argc, argv)
int argc; char *argv[];
    {
	XtAppContext demo_application;
	Widget root_widget, view, widget;
	Arg args[10];
	int n;
	char *imagefile;
	XeContentFormat imagetype;

	root_widget = XtAppInitialize(&demo_application, "XewSimple",
				      NULL,0, &argc, argv, (String *)NULL,
				      NULL, 0);
	n = 0;
	XtSetArg(args[n], XtNallowHoriz, True); ++n;
	XtSetArg(args[n], XtNallowVert, True); ++n;
	view = XtCreateManagedWidget("DemoView", viewportWidgetClass,
				     root_widget,args, n);
	if (argc > 1)
		imagefile = argv[1];
	else
		imagefile = "Raster/Amick-2.jpg";
	imagetype = XeFindContentFormat(imagefile);
	n = 0;
	XtSetArg(args[n], XtNcontentFile, imagefile); ++n;
	XtSetArg(args[n], XtNcontentFormat, imagetype); ++n;
	if (imagetype == XeContentFormat_UNKNOWN)
	    {
		printf("Assuming Text content type\n");
		/*
		** Request proportional spacing, because we are not
		** specifying the lineSpacing.
		*/
		XtSetArg(args[n], XtNproportional, True); ++n;
		widget = XtCreateManagedWidget
			("DemoText", xeTextWidgetClass, view, args, n);
		
	    }
	else
		widget = XtCreateManagedWidget
			("DemoRaster", xeRasterWidgetClass, view, args, n);
	XtRealizeWidget(root_widget);
	XtAppMainLoop(demo_application);
	return 0;
    }

